Option Explicit

    if WScript.Arguments.Count > 0 then
        CallInfo_Redirect(WScript.Arguments(0)) 'WScript.Arguments(0) -> 1. Parameter = Internationale Rufnummer %itel%
    end if

'---------------------------------------------------------------------
Function Get_NationalNumber(inatNumber, areaCodeLen) 
'---------------------------------------------------------------------
 
    'Funktion zum Umwandeln einer internationalen Rufnummer in eine nationale Rufnummer. (z.B. 0049-371-22334455 -> 0371-22334455)
    Get_NationalNumber = "0" & Mid(inatNumber,areaCodeLen+1)
    
end function

'---------------------------------------------------------------------
Function CallInfo_Redirect(inatNumber)
'---------------------------------------------------------------------
     
    if len(inatNumber) < 10 then exit function
    
    dim url
    url = ""

	'Landesvorwahl erkennen und Weiterleitungs-URL definieren.
	'Hinweis: Einige Telefonbuch-Seiten verlangen die Rufnummer im nationalen Format (ohne Landesvorwahl) z.B. 0049-371-22334455 -> 0371-22334455.
	'Sollte die entsprechende Seite auch internationale Rufnummern akzeptieren, kann die Abfrage der nationalen Rufnummer entfallen und direkt die "inatNumber" verwendet werden.  

    if InStr(inatNumber,"0041") then    'Schweiz	
        url = "https://tel.search.ch/?was=" & Get_NationalNumber(inatNumber,4)
        'url = "https://tel.local.ch/de/q?what=" & Get_NationalNumber(inatNumber,4)
   
    elseif InStr(inatNumber,"0043") then    'sterreich	
        url = "https://auskunft.at/suche?page=1&order=&orderDirection=&query=" & Get_NationalNumber(inatNumber,4) & "&submit=los"
    
    elseif InStr(inatNumber,"0049") then    'Deutschland	
	    url = "http://mobil.dasoertliche.de/Themen?nummer=" & Get_NationalNumber(inatNumber,4)
     
    else
       exit function
    end if
 
    if len(url) < 10 then exit function
  

    ' URL per Windows-Shell aufrufen...
    dim wsh
    set wsh = WScript.CreateObject("WScript.Shell")
    wsh.Run url, 4, FALSE 
    'url
    'Window ShowState: 0=Hide, 1=Show-Activate, 4: Show-NoActivate
    'True: Script wartet, bis der Task beendet wird, False:(default) Script luft weiter. 
    set wsh = nothing
       
end function

